Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl
Class FileImpl

    java.lang.Object
      org.jboss.portal.cms.impl.CMSObjectImpl
          org.jboss.portal.cms.impl.FileImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CMSObject, File

    public class FileImpl

extends CMSObjectImpl
implements File, java.io.Serializable

Author:
  Thomas Heute
See Also:
  Serialized Form

Field Summary
`protected Content` | `content`

Fields inherited from class org.jboss.portal.cms.impl.CMSObjectImpl
`basePath, baseUUID, creationDate, description, lastModified, name, parentUUID, title, versionPath, versionUUID`

Constructor Summary
`FileImpl()`

Method Summary
`Content` | `getContent()`
`Content` | `getContent(java.util.Locale locale)`
`long` | `getSize()`
`void` | `setContent(java.util.Locale locale, Content content)`

Methods inherited from class org.jboss.portal.cms.impl.CMSObjectImpl
`getBasePath, getBaseUUID, getCreationDate, getDescription, getLastModified, getName, getParentUUID, getTitle, getVersionPath, getVersionUUID, setBasePath, setBaseUUID, setCreationDate, setDescription, setLastModified, setName, setParentUUID, setTitle, setVersionPath, setVersionUUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.cms.model.CMSObject
`getBasePath, getBaseUUID, getCreationDate, getDescription, getLastModified, getName, getParentUUID, getTitle, getVersionPath, getVersionUUID, setBasePath, setBaseUUID, setCreationDate, setDescription, setLastModified, setName, setParentUUID, setTitle, setVersionPath, setVersionUUID`

Field Detail

### content

    protected Content content

Constructor Detail

### FileImpl

    public FileImpl()

Method Detail

### setContent

    public void setContent(java.util.Locale locale,
                           Content content)

  Specified by:
    `setContent` in interface `File`

### getContent

    public Content getContent(java.util.Locale locale)

  Specified by:
    `getContent` in interface `File`

### getContent

    public Content getContent()

  Specified by:
    `getContent` in interface `File`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `File`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.